yak-service-filter:defined,
yak-range-service-filter:defined {
    .yak-service-filter-section {
        list-style: none;
        margin-top: 10px;
        padding: 0;
    }

    .filter-heading {
        margin-left: 5px;
        font-size: 14px;
    }

    .yak-service-filter-section.collapsible {
        box-shadow: none;
        border: none;
        list-style-type: none;
        padding: 0;
    }

    .yak-service-filter-section.collapsible .collapsible-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        border-radius: 5px;
        border: none;
        padding: 2px 5px;
    }

    .yak-service-filter-section.collapsible .collapsible-header .filter-heading {
        margin-left: 0px;
        flex: 1 1 auto;
    }

    .yak-service-filter-section.collapsible .collapsible-header .filter-icon-container {
        display: flex;
    }

    .yak-service-filter-section.collapsible .collapsible-header .filter-expand-icon {
        margin: 0;
        transition: all 0.5s ease;
    }

    .yak-service-filter-section.collapsible>li.active .filter-expand-icon {
        rotate: 90deg;
    }

    .yak-service-filter-section.collapsible .collapsible-body {
        padding: 0 0 0 5px;
    }

    .yak-service-filter-section.collapsible .collapsible-body .filter-menu {
        padding-left: 0px;
    }

    .yak-service-filter-section .yak-search-option {
        margin: 5px 0 0 0;
        height: 35px;
    }

    .yak-service-filter-section.collapsible .filter-menu:has(.filter-menu-div .yak-search-option-value) {
        overflow-y: auto;
        scrollbar-width: none;
        min-height: 250px;
        max-height: 250px;
    }

    .amount {
        font-size: 16px;
        font-weight: bold;
        color: #002e57;
        cursor: text;
    }

    .yak-service-filter-section:last-child>.filter-menu {
        border: none;
    }

    .filter-menu {
        padding: 12px 0px 8px 5px;
        border-bottom: 1px solid #0000001A;
        display: flex;
        flex-direction: column;
        gap: 0.2rem;
    }

    .filter-option {
        width: 100%;
        padding: 0.1rem 0;
        border-radius: 5px;
        display: flex;
        gap: 0.2rem;
        min-height: 20px;
        line-height: initial;

        .option-multi-select-label {
            cursor: pointer;
            position: relative;
            span {
                display: flex;
                padding-left: 20px;
            }
            
            .material-checkbox.filled-in:not(:checked) + span:not(.lever):hover::after {
                border-color: var(--yak-primary-color);
            }
        }
        .option-single-select {
            border: none;
            background-color: #fff;
            display: flex;
            justify-content: space-between;
            align-items: center;
            flex-grow: 1;
            color: #0006;
            cursor: pointer;
            font-weight: 500;
            font-size: 13px;
            border-radius: 0.1rem;
            &:hover {
                background-color: var(--yak-secondary-color);
                color: rgba(28, 43, 52, 0.98);
            }

            .text-label {
                text-transform: capitalize;
            }

            .service-rating-filter-value {
                display: flex !important;
                align-items: center;
                gap: 3px;
            }

            .service-rating-filter-value .service-rating-filter-value-icon {
                margin-top: -3px;
                color: #faca15;
            }
        }

        .option-meta {
            display: flex;
            gap: 0.3rem;
            position: relative;
        }

        .action-hint {
            display: none;
            color: #0004;
            font-size: 12px;
        }

        &:has(.option-multi-select-label:hover) .action-hint.toggle {
            display: flex;
        }

        & .option-single-select:hover .action-hint.only {
            display: flex;
        }

        .count-label {
            color: rgba(28, 43, 52, 0.68);
            font-size: 12px;
        }

        &:has(.material-checkbox.filled-in:checked) .option-single-select {
            color: rgba(28, 43, 52, 0.98);
        }
    }

    .filter-range-slider {
        margin: 0 10px;
    }

    .range-values {
        margin: 10px 5px 0 5px;
        display: flex;
        justify-content: space-between;
        font-size: 14px;
        color: #666;

        .range_value_display {
            font-size: inherit;
        }
    }

    .no-results {
        font-size: 14px;
        color: #666;
        font-style: italic;
        text-align: center;
    }
}